# Ice::TwowayOnlyException

## Overview

### [ "cpp:ice_print" ] local exception TwowayOnlyException

The operation can only be invoked with a twoway request. This exception is raised if an attempt is made to invoke an operation with `ice_oneway`, `ice_batchOneway`, `ice_datagram`, or `ice_batchDatagram` and the operation has a return value, out-parameters, or an exception specification.

## Data Members

string operation;

  The name of the operation that was invoked.